# Industry Struct Reference

Defines the internal data of a functionnal industry. More...

`#include <industry.h>`

Inheritance diagram for Industry:

## Public Types
typedef PersistentStorageArray < uint32, 16 > | PersistentStorage
## Public Member Functions
| Industry (TileIndex tile=INVALID_TILE)
bool | IsValid () const
## Data Fields
TileIndex | xy
| coordinates of the primary tile the industry is built one
byte | width
byte | height
const Town * | town
| Nearest town.
CargoID | produced_cargo [2]
| 2 production cargo slots
uint16 | produced_cargo_waiting [2]
| amount of cargo produced per cargo
uint16 | incoming_cargo_waiting [3]
| incoming cargo waiting to be processed
byte | production_rate [2]
| production rate for each cargo
byte | prod_level
| general production level
CargoID | accepts_cargo [3]
| 3 input cargo slots
uint16 | this_month_production [2]
| stats of this month's production per cargo
uint16 | this_month_transported [2]
| stats of this month's transport per cargo
byte | last_month_pct_transported [2]
| percentage transported per cargo in the last full month
uint16 | last_month_production [2]
| total units produced per cargo in the last full month
uint16 | last_month_transported [2]
| total units transported per cargo in the last full month
uint16 | counter
| used for animation and/or production (if available cargo)
IndustryType | type
| type of industry.
OwnerByte | owner
| owner of the industry. Which SHOULD always be (imho) OWNER_NONE
byte | random_colour
| randomized colour of the industry, for display purpose
Year | last_prod_year
| last year of production
byte | was_cargo_delivered
| flag that indicate this has been the closest industry chosen for cargo delivery by a station. see DeliverGoodsToIndustry
OwnerByte | founder
| Founder of the industry.
Date | construction_date
| Date of the construction of the industry.
uint8 | construction_type
| Way the industry was constructed (.
Date | last_cargo_accepted_at
| Last day cargo was accepted by this industry.
byte | selected_layout
| Which tile layout was used when creating the industry.
byte | random_triggers
| Triggers for the random.
uint16 | random
| Random value used for randomisation of all kinds of things.
PersistentStorage | psa
| Persistent storage for NewGRF industries.

## Detailed Description

Defines the internal data of a functionnal industry.

Definition at line 98 of file industry.h.

## Field Documentation

uint8 Industry::construction_type

Way the industry was constructed (.

See also:
  IndustryConstructionType)

Definition at line 126 of file industry.h.

Referenced by IndustryGetVariable().

The documentation for this struct was generated from the following files:

- src/industry.h
- src/industry_cmd.cpp